### Constructor

# Gtk PrintSettings new_from_file

#### Declaration [src]

    GtkPrintSettings*
    gtk_print_settings_new_from_file (
      const char* file_name,
      GError** error
    )

#### Description [src]

Reads the print settings from `file_name`.

Returns a new `GtkPrintSettings` object with the restored settings, or `NULL` if an error occurred. If the file could not be loaded then error is set to either a `GFileError` or `GKeyFileError`.

See gtk_print_settings_to_file().

#### Parameters

`file_name` | `const char*`
| The filename to read the settings from.
| The data is owned by the caller of the function.
| The string is a file system path, using the OS encoding.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GtkPrintSettings`
| The restored `GtkPrintSettings`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.